import { EventEmitter, ChangeDetectorRef, AfterViewInit, OnDestroy } from '@angular/core';
import { NgForm, NgModel } from '@angular/forms';
export declare class TextareaControlComponent implements AfterViewInit, OnDestroy {
    private ref;
    name: string;
    form: NgForm;
    label: string;
    placeholder: string;
    rows: number;
    _model: any;
    set model(value: any);
    modelChange: EventEmitter<any>;
    required: boolean;
    maxlength: number;
    pattern: string;
    disabled: boolean;
    formModel: NgModel;
    constructor(ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onChange(value: any): void;
}
